from loguru import logger

logger.add("log/console.log",
 rotation="100 MB",
  encoding="utf-8",
   filter=lambda record: record["extra"].get("name") == "console")

console_log = logger.bind(name="console")

def console_listener(tab):
    try:
        #  监听控制台
        console_log.info("[console.log] 开始监听控制台")
        tab.console.start()
        steps = tab.console.steps()
        for log in steps:
            # print("[console.log]", log)
            console_log.info(f"[console.log] {log.text}")
    finally:
        console_log.info("[console.log] 停止监听控制台")
        tab.console.stop()